- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_ses_rule_set – Manages SES inbound receipt rule sets

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- The aws_ses_rule_set module allows you to create, delete, and manage SES receipt rule sets

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- botocore

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
active boolean | Choices: no yes | Whether or not this rule set should be the active rule set. Only has an impact if state is `present`. If omitted, the active rule set will not be changed. If `True` then this rule set will be made active and all others inactive. if `False` then this rule set will be deactivated. Be careful with this as you can end up with no active rule set.
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
force boolean | Choices: no ← yes | When deleting a rule set, deactivate it first (AWS prevents deletion of the active rule set).
name - / required |  | The name of the receipt rule set.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - | Choices: absent present ← | Whether to create (or update) or destroy the receipt rule set.
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: None of these examples set aws_access_key, aws_secret_key, or region.
    # It is assumed that their matching environment variables are set.
    ---
    - name: Create default rule set and activate it if not already
      aws_ses_rule_set:
        name: default-rule-set
        state: present
        active: yes

    - name: Create some arbitrary rule set but do not activate it
      aws_ses_rule_set:
        name: arbitrary-rule-set
        state: present

    - name: Explicitly deactivate the default rule set leaving no active rule set
      aws_ses_rule_set:
        name: default-rule-set
        state: present
        active: no

    - name: Remove an arbitrary inactive rule set
      aws_ses_rule_set:
        name: arbitrary-rule-set
        state: absent

    - name: Remove an ruleset even if we have to first deactivate it to remove it
      aws_ses_rule_set:
        name: default-rule-set
        state: absent
        force: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
active boolean | success if state is `present` | if the SES rule set is active Sample: True
rule_sets list | success | The list of SES receipt rule sets that exist after any changes. Sample: [{'created_timestamp': '2018-02-25T01:20:32.690000+00:00', 'name': 'default-rule-set'}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ben Tomasik (@tomislacker)

- Ed Costello (@orthanc)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.